Не зарегистрирован
Вход
Забыли пароль?
Регистрация
Подписаться
Сэкономьте время — перед вопросом на форуме узнайте, как найти ответ быстрее
По техническим проблемам необходимо обращаться в Консультационный центр

Поиск по форуму: 

Приглашаем в блог Amiro.CMS. Регулярные обзоры, опыт, решения, практикумы.

Форум  ->   Работа. Поиск/предложение услуг на Amiro.CMS  ->  Нажна адаптация сайтов для работы с более новой версией PHP

Если вы ищете или предлагаете услуги так или иначе связанные с работой на Amiro.CMS

Добавлено: 14.01.16 13:06:29 #1



Регистрация: 14.01.16
Сообщений: 1


Обратиться по имени

Здравствуйте,
есть 2 сайта на амиро, некоторое время назад они перестали работать, после уточнения у хостера получил ответ, что необходимо их адаптировать под более новую версию PHP. Собственно нужно это сделать.

Вот комментарий хостера:
Как мы видим, для работы Вашего сайта необходим Zend Optimizer, недоступный для PHP версий выше 5.2
Версия PHP 5.2 является устаревшей и не поддерживается разработчиками PHP (не исправляются ошибки, не устраняются уязвимости и т.д.).
Вам необходима адаптация сайта для работы с более новой версией PHP .



Добавлено: 14.01.16 13:52:32 #2

Амиро


Регистрация: 22.06.10
Сообщений: 918


Обратиться по имени

Здравствуйте.

Решить эти проблемы возможно, обновив Вашу версию Amiro.CMS до актуальной.



Ответы на большинство вопросов можно найти в базе знаний и в документации.
Добавлено: 14.01.16 16:20:58 #3



Регистрация: 26.05.08
Сообщений: 984


Обратиться по имени

Или сменить хостинг на тот, где поддерживается 5.2.
Смотрите, что выгоднее.



Добавлено: 14.01.16 18:28:55 #4



Регистрация: 26.05.08
Сообщений: 984


Обратиться по имени

Кстати, обновление сайта - это почти всегда очень больно.
Недавно обновлял http://e-volta.ru/, пришлось помучиться.
Пишите, если будет нужна помощь.



Добавлено: 15.01.16 09:27:30 #5




Регистрация: 03.07.07
Сообщений: 939


Обратиться по имени

Работы по обновлению сайта нашими специалистами могут быть вообще бесплатными, если у нас будет приобретено обновление. Кроме того, мы предоставляем услугу оптимизации хостинга, чтобы максимизировать скорость работы и получить хорошие индексы скорости сайта по Гугл настолько, насколько это возможно в штатных средствах Амиро.



Готовые модули для Амиро - от бесплатных модулей до модулей импорта и геотаргетирования
Более 65 модулей, более 1100 внедрений модулей.
Добавлено: 27.02.16 21:34:19 #6

Партнер



Регистрация: 13.01.16
Сообщений: 35


Обратиться по имени

А я заставил работать Amito.CMS 7.0 на PHP 7 (там нет поддержки MySQL, есть только MySQLi).



Добавлено: 01.03.16 00:14:25 #7



Регистрация: 01.04.09
Сообщений: 16


Обратиться по имени

phpoid, приветствую! Какие проблемы возникли и как удалось разрулить? На хостинге явно рано или поздно будет обновление и хотелось бы понять к чему готовиться.
Заранее спасибо!
И да, что с появлением php 7 собираются предпринять разработчики Амиро? Когда следует ждать новой версии движка с поддержкой php 7 ?



Добавлено: 18.03.16 10:30:20 #8

Партнер



Регистрация: 13.01.16
Сообщений: 35


Обратиться по имени

Ghost_dead:
Какие проблемы возникли и как удалось разрулить?

Основную проблему описал:
phpoid:
нет поддержки MySQL, есть только MySQLi

Набросал пачку ф-ций, эмулируюших вызовы MySQL-библиотеки.
Вторая проблема - deprecated конструкторы, имена которых совпадают с именами классов, решено самописным скриптом автозамены с некоторым интеллектом.





Создать новую тему

Всего тем: 6587
Всего сообщений: 27636
Всего зарегистрированных пользователей: 47877
Последний зарегистрированный пользователь: user5302684462